Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.nds
Interface SchemaSyntax

public interface SchemaSyntax

Defines the standard data types for the values within specified attribute types stored in the directory.

An attribute type consists of a single data type for which syntax matching rules and qualifiers have been specified. Matching rules indicate the characteristics that are significant when comparing two values of the same syntax. The three primary matching rules are: equality, substrings, and ordering. The qualifiers or directives that are defined for comparison include ignoring case, dashes, and spaces. Other qualifiers allow only digits or only printable characters.

Field Summary
`static java.lang.String` | `ATTR_FLAGS` Represents the Flags attribute ID for syntax definitions.
`static java.lang.String` | `ATTR_ID` Integer used to identify each attribute.
`static int` | `DS_IGNORE_CASE` Attribute syntax will support ignoring case in strings.
`static int` | `DS_IGNORE_DASH` Attribute syntax will support ignoring dashes in strings.
`static int` | `DS_IGNORE_SPACE` Attribute syntax will support ignoring spaces in strings.
`static int` | `DS_ONLY_DIGITS` Attribute syntax will support only digits.
`static int` | `DS_ONLY_PRINTABLE` Attribute syntax will support only printable characters.
`static int` | `DS_SINGLE_VALUED` Attribute syntax will be single valued.
`static int` | `DS_SIZEABLE` Attribute syntax will support sizeable character strings.
`static int` | `DS_STRING` Attribute syntax will be of String type.
`static int` | `DS_SUPPORTS_EQUAL` Attribute syntax will support the Equals matching rule.
`static int` | `DS_SUPPORTS_ORDER` Attribute syntax will support ordering.

Field Detail

### ATTR_ID

    public static final java.lang.String ATTR_ID

  Integer used to identify each attribute.

  (ATTR_ID = "ID")

### ATTR_FLAGS

    public static final java.lang.String ATTR_FLAGS

  Represents the Flags attribute ID for syntax definitions. This flag attribute constant contains a value that is a combination of the following flags that restrict the attribute value:
  - DS_STRING
  - DS_SINGLE_VALUED
  - DS_SUPPORTS_ORDER
  - DS_SUPPORTS_EQUAL
  - DS_IGNORE_CASE
  - DS_IGNORE_SPACE
  - DS_IGNORE_DASH
  - DS_ONLY_DIGITS
  - DS_ONLY_PRINTABLE
  - DS_SIZEABLE

  (ATTR_FLAGS = "Flags")

### DS_STRING

    public static final int DS_STRING

  Attribute syntax will be of String type.

  With this value set for an attribute, the DS_STRING value will be stored in the Flags constant.

  (DS_STRING = NetJNI.DS_STRING)

### DS_SINGLE_VALUED

    public static final int DS_SINGLE_VALUED

  Attribute syntax will be single valued.

  With this value set for an attribute, the DS_SINGLE_VALUED value will be stored in the Flags constant.

  (DS_SINGLE_VALUED = NetJNI.DS_SINGLE_VALUED)

### DS_SUPPORTS_ORDER

    public static final int DS_SUPPORTS_ORDER

  Attribute syntax will support ordering.

  With this value set for an attribute, the DS_SUPPORTS_ORDER value will be stored in the Flags constant.

  (DS_SUPPORTS_ORDER = NetJNI.DS_SUPPORTS_ORDER)

### DS_SUPPORTS_EQUAL

    public static final int DS_SUPPORTS_EQUAL

  Attribute syntax will support the Equals matching rule.

  With this value set for an attribute, the DS_SUPPORTS_EQUAL value will be stored in the Flags constant.

  (DS_SUPPORTS_EQUAL = NetJNI.DS_SUPPORTS_EQUAL)

### DS_IGNORE_CASE

    public static final int DS_IGNORE_CASE

  Attribute syntax will support ignoring case in strings.

  With this value set for an attribute, the DS_IGNORE_CASE value will be stored in the Flags constant.

  (DS_IGNORE_CASE = NetJNI.DS_IGNORE_CASE)

### DS_IGNORE_SPACE

    public static final int DS_IGNORE_SPACE

  Attribute syntax will support ignoring spaces in strings.

  With this value set for an attribute, the DS_IGNORE_SPACE value will be stored in the Flags constant.

  (DS_IGNORE_SPACE = NetJNI.DS_IGNORE_SPACE)

### DS_IGNORE_DASH

    public static final int DS_IGNORE_DASH

  Attribute syntax will support ignoring dashes in strings.

  With this value set for an attribute, the DS_IGNORE_DASH value will be stored in the Flags constant.

  (DS_IGNORE_DASH = NetJNI.DS_IGNORE_DASH)

### DS_ONLY_DIGITS

    public static final int DS_ONLY_DIGITS

  Attribute syntax will support only digits.

  With this value set for an attribute, the DS_ONLY_DIGITS value will be stored in the Flags constant.

  (DS_ONLY_DIGITS = NetJNI.DS_ONLY_DIGITS)

### DS_ONLY_PRINTABLE

    public static final int DS_ONLY_PRINTABLE

  Attribute syntax will support only printable characters.

  With this value set for an attribute, the DS_ONLY_PRINTABLE value will be stored in the Flags constant.

  (DS_ONLY_PRINTABLE = NetJNI.DS_ONLY_PRINTABLE)

### DS_SIZEABLE

    public static final int DS_SIZEABLE

  Attribute syntax will support sizeable character strings.

  With this value set for an attribute, the DS_SIZEABLE value will be stored in the Flags constant.

  (DS_SIZEABLE = NetJNI.DS_SIZEABLE)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD